#
#  Calculates temperature gradient
#
{
  t[NR] = $1;
  z[NR] = $2;
}

END {
  for ( k = 2; k <= NR; k++ ) {
    zz = 0.5*( z[k]+z[k-1] );
    dz =       z[k]-z[k-1];
    dt =       t[k]-t[k-1];
    dd = dt / dz;

    print dd, zz;
  }
}
