#!/bin/sh

DDIR=/work2/typh
N_IN="02.01"

while getopts d:n: OPT
do
  case $OPT in
    d) DDIR=$OPTARG ;;
    n) N_IN=$OPTARG ;;
    *) exit 1       ;;
  esac
done

cd $DDIR

for F in pa*${N_IN}
do
  if   [ "$F" = "para${N_IN}" ]; then
    echo "$F is not removed."
  elif [ -e "$F" ]; then
    rm -i $F
  else
    echo "Files pa*${N_IN} not found."
    echo "Usage: $0 -n [run number]."
    exit 1
  fi
done
