c **********************************************************************
c *   Lateral boundary condition (Cyclic)                              *
c *                                                                    *
c *   # This is adapted from src/bc_lat.f.                             *
c **********************************************************************
c
      subroutine  sub_bc (
     i                  mx, mz, nx, nz, ny,
     m                  tq )
c
      include  "../src/Implicit.h"
c
      dimension  tq(mx,mz,ny)
c
      do j = 2,ny-1
      do k = 1,nz
        tq( 1, k, j) = tq(nx-1,  k ,  j )
        tq(nx, k, j) = tq(  2 ,  k ,  j )
      end do
      end do
c
      do k = 1,nz
      do i = 1,mx
        tq( i, k, 1) = tq(  i ,  k ,ny-1)
        tq( i, k,ny) = tq(  i ,  k ,  2 )
      end do
      end do
c
      return
      end
