c **********************************************************************
c *   Redistribution terms                                             *
c **********************************************************************
c
      subroutine  sub_redistribution (
     i                  mx, mz, nx, nz, ny, dx, dz, dy,
     i                  u, v, w, fm, pd,
     w                  pav,
     o                  uu, vv, ww )
c
      include  "../src/Implicit.h"
c
      dimension  u (mx,mz,ny), v (mx,mz,ny), w (mx,mz,ny), fm(mx,mz,ny)
      dimension  pd(mx,mz,ny)
      dimension  pav(mz)
      dimension  uu(mx,mz,ny), vv(mx,mz,ny), ww(mx,mz,ny)
c
      rsum = 1.0/dble((nx-2)*(ny-2))
      cel  = 1.0/( 0.1*(dx*dy*dz)**(1.0/3.0) )
c
      do k = 1,nz+1
        pav(k) = 0.0
        do j = 2,ny-1
        do i = 2,nx-1
          pav(k) = pav(k) +pd(i,k,j)-2.0/3.0*(fm(i,k,j)*cel)**2
        end do
        end do
        pav(k) = pav(k) * rsum
      end do
c
      do j = 2,ny-1
      do k = 1,nz
      do i = 2,nx-1
        pdd = pd(i,k,j)-2.0/3.0*(fm(i,k,j)*cel)**2 -pav(k)
c
        uu(i,k,j) = pdd*( u (i+1, k , j )-u (i,k,j) ) / dx
        vv(i,k,j) = pdd*( v ( i , k ,j+1)-v (i,k,j) ) / dy
        ww(i,k,j) = pdd*( w ( i ,k+1, j )-w (i,k,j) ) / dz
      end do
      end do
      end do
c
      call sub_bc ( mx, mz, nx, nz, ny, uu )
      call sub_bc ( mx, mz, nx, nz, ny, vv )
      call sub_bc ( mx, mz, nx, nz, ny, ww )
c
      return
      end
