c **********************************************************************
c *   Rotation of horizontal velocity components                       *
c *                                                                    *
c *   # ang is the projection angle and increases counter-clockwise.   *
c **********************************************************************
c
      subroutine  sub_rotate (
     i                  nz, ang,
     m                  u, v )
c
      include  "../src/Implicit.h"
c
      dimension  u (nz), v (nz)
c
      d2r = 3.141593/180.0
      cs  = cos( ang*d2r )
      sn  = sin( ang*d2r )
c
      do k = 1,nz
        work  =  u (k)
        u (k) =  work * cs + v (k) * sn
        v (k) = -work * sn + v (k) * cs
      end do
c
      return
      end
