#!/bin/sh

# Directories
SDIR=$PWD/../src
DDIR=/work/les
#

cd $DDIR

time $SDIR/les << EOF

&les1
nrun  = 1
nstep = 100
iout  = 0
jout  = 0
lout  = 10
/
&les2
isgs = 0
isfc = 1
icon = -1
jmin = 360
rlat = 99.9
dt   = 0.5
dx   = 50.0
dy   = 50.0
dz   = 50.0
ugsf = 10.0
tsf  = 300.0
gamt = 0.004
z0m  = 0.005
tfmx = 0.24
phour= 12.5
dhour= 11.0
nflay= 0
frate= 0.05
nspu = 0
/
&les3
/
EOF
