#!/bin/sh

# Directories
SDIR=$PWD/../src
DDIR=/work/les
#

### nrun = 1; icon = 0
cp -f ../obs/WNG.OBS $DDIR/OBS
### nrun = 3; icon = 1
# cp -f ../obs/WNG3.OBS $DDIR/OBS

cd $DDIR

time $SDIR/les << EOF

&les1
nrun  = 1
nstep = 3600
iout  = 0
jout  = 9999
lout  = 100
/
&les2
isfc = 1
icon = 0
jmin = 540
rlat = -34.5
dt   = 2.0
dx   = 40.0
dy   = 40.0
dz   = 40.0
ugsf = -5.5
aglw = 1000.0
agmd = 2000.0
gulw = 0.0029
gumd = 0.0014
tsf  = 0.0
gamt = 0.0075
z0m  = 0.01
tfmx = 0.216
qfmx = 0.229e-4
phour= 13.0
dhour= 11.0
nflay= 3
nspu = 0
/
&les3
/
EOF
