c **********************************************************************
c *   Time integration for scalar (Euler forward or Adams-Bashforth)   *
c **********************************************************************
c
      subroutine  predict_scalar ( a, tq, fzb, gamtq )
c
      include  "Declare.h"
c
      dimension  tq(mx,mz,my), fzb(mx,mz,my)
!hpf$ distribute (*,*,block) :: tq, fzb
c
      aa  = a
      bb  = 1.0 -aa
c
      do j = 2,ny-1
      do k = 1,nz
      do i = 2,nx-1
        fz = ( uu(i+1, k , j )-uu(i,k,j) ) / dx
     :      +( vv( i , k ,j+1)-vv(i,k,j) ) / dy
     :      +( ww( i ,k+1, j )-ww(i,k,j) ) / dz
     :      +  uv( i , k , j )
c
        tq (i,k,j) = tq(i,k,j) +dt*( aa*fz +bb*fzb(i,k,j) )
c
        fzb(i,k,j) = fz
      end do
      end do
      end do
c
c  ***  The following will be carried out in sub.sponge_layer  ***
cx    call bc_lat_scalar ( tq )
cx    call bc_upp_scalar ( tq, gamtq*dz )
c
      return
      end
