#!/bin/sh

DDIR=/work
N_IN="01.01"
IRST=1
IRED=1
VIEW="TRUE"

while getopts d:n:r:R:x OPT
do
  case $OPT in
    "d") DDIR=$OPTARG   ;;
    "n") N_IN=$OPTARG   ;;
    "r") IRST=$OPTARG   ;;
    "R") IRED=$OPTARG   ;;
    "x") VIEW=""        ;;
     * ) exit 1         ;;
  esac
done

F_OUT=test
SDIR=$PWD
GDIR=$DDIR/Movie

VDIR=/usr/local/vis5d-5.2

cd $DDIR

F_NAME="t___"$N_IN
$SDIR/bin2v5d << EOF1
&v5d
f_name(1) = $F_NAME
irecst    = $IRST
ireced    = $IRED
ival(1)   = 1
/
EOF1

mv test.v5d $GDIR

cd $GDIR

if [ -n "$VIEW" ]; then
  $VDIR/vis5d -path $VDIR test.v5d
fi
