#
#  Obtains maximal and minimal values, and corresponding heights
#
#  ($1, $2) = (q, z)
#
BEGIN {
  qmax = -1.0e10;
  qmin =  1.0e10;
}
{
  if ( $1 > qmax ) {
    qmax = $1;
    zmax = $2;
  }

  if ( $1 < qmin ) {
    qmin = $1;
    zmin = $2;
  }
}
END {
  print qmax, zmax, qmin, zmin;
}
