#
#  Converts (u,v) into (wd,ws) for GMT
#
#  ($1, $2, $3, $4) = (x, y, u, v)
#
{
  wd = 90.0 - atan2( $4, $3 )*180.0/3.141593;
  if ( wd < 0.0 ) wd = wd + 360.5;
  ws = sqrt( $3*$3 + $4*$4 );

  print $1, $2, int(wd), ws;
}
