#
#  Calculates orientation of shear vetor
#
{
  u[NR] = $1;
  v[NR] = $3;
  z[NR] = $2;
}

END {
  for ( k = 2; k <= NR; k++ ) {
    zz = 0.5*( z[k]+z[k-1] );
    dz =       z[k]-z[k-1];
    du =       u[k]-u[k-1];
    dv =       v[k]-v[k-1];
    if ( du > 0.1 || du < -0.1 ) {
      dd = atan2( dv, du )*180.0/3.141593;
    } else {
      dd = 0.0;
    }

    print dd, zz;
  }
}
