#!/bin/sh

N_IN="01.01"

while getopts n: OPT
do
  case $OPT in
    "n") N_IN=$OPTARG ;;
     * ) exit 1       ;;
  esac
done

DDIR=/work/les

cd $DDIR

for F in z*${N_IN}
do
  if [ -e "$F" ]; then
    rm -i $F
  else
    echo "Files z*${N_IN} not found."
    echo "Usage: $0 -n [run number]."
    exit 1
  fi
done
