#!/bin/sh

. ../GetYesNo.sh

USAGE="Usage: $0 -m [module name] -d [directory name] -n [run number]"

M_IN="post_vor"
N_IN="01.01"
DDIR="/work"

while getopts d:m:n: OPT
do
  case $OPT in
    "d") DDIR=$OPTARG ;;
    "m") M_IN=$OPTARG ;;
    "n") N_IN=$OPTARG ;;
     * ) exit 1       ;;
  esac
done

if ! GetYesNo "### Module name $M_IN is ok (y/n) ?"
then
  echo $USAGE
  exit 1
fi
if ! GetYesNo "### Files $DDIR/xxxx$N_IN are ok (y/n) ?"
then
  echo $USAGE
  exit 1
fi

SDIR=$PWD

cd $DDIR

$SDIR/$M_IN << EOF1
&post
r_num  = "$N_IN"
/
EOF1
