c **********************************************************************
c *   Input of the simulation data                                     *
c *                                                                    *
c *   # Sequential-access files are opened as they are.                *
c **********************************************************************
c
      subroutine  sub_data_open (
     i                  r_num, f_name, mt,
     i                  lx, lz, ly )
c
c     Note:
c       lx, lz, ly : dummy parameters
c
      character (len=5) :: r_num
      character (len=4) :: f_name
c
      open (mt,file=f_name//r_num,form='unformatted',
     :         status='old',iostat=ios)
c
      if ( ios .ne. 0 ) f_name = 'xxxx'
c
      return
      end
c
      subroutine  sub_data_input (
     i                  mt, irec,
     i                  mx, mz, my, lx, lz, ly,
     o                  dat )
c
c     Note:
c       2D data, dat(mx,mz) : my = ly = 1
c       1D data, dat(mx)    : mz = lz = 1 and my = ly = 1
c
      include  "../src/Implicit.h"
c
      dimension  dat(mx,mz,my)
c
      data  irst / 1 /
      save  irst
c
      do krec = irst,irec-1
        read (mt,end=999)
      end do
c
      read (mt,end=999)
     :     ( ( ( dat(i,k,j),i=1,lx ),k=1,lz ),j=1,ly )
c
      irst = irec +1
c
      return
c
  999 irec = 999
c
      return
      end
