c **********************************************************************
c *   Vorticity                                                        *
c **********************************************************************
c
      subroutine  sub_vor (
     i                  mx, mz, nx, nz, ny, dx, dz, dy,
     i                  u, v, w,
     o                  zx, zy, zz )
c
      include  "../src/Implicit.h"
c
      dimension  u (mx,mz,ny), v (mx,mz,ny), w (mx,mz,ny)
      dimension  zx(mx,mz,ny), zy(mx,mz,ny), zz(mx,mz,ny)
c
      do j = 2,ny-1
      do k = 2,nz+1
        m    = k -1
      do i = 2,nx-1
        zx(i,k,j) = ( w (i,k,j)-w ( i , k ,j-1) ) / dy
     :             -( v (i,k,j)-v ( i ,k-1, j ) ) / dz
c
        zy(i,k,j) = ( u (i,k,j)-u ( i ,k-1, j ) ) / dz
     :             -( w (i,k,j)-w (i-1, k , j ) ) / dx
c
        zz(i,m,j) = ( v (i,m,j)-v (i-1, m , j ) ) / dx
     :             -( u (i,m,j)-u ( i , m ,j-1) ) / dy
      end do
      end do
      end do
c
      do j = 2,ny-1
      do i = 2,nx-1
        zx(i,1,j) = -2.0*v (i,1,j) / dz
        zy(i,1,j) =  2.0*u (i,1,j) / dz
      end do
      end do
c
      call sub_bc ( mx, mz, nx, nz, ny, zx )
      call sub_bc ( mx, mz, nx, nz, ny, zy )
      call sub_bc ( mx, mz, nx, nz, ny, zz )
c
      return
      end
