#!/bin/sh

# Directories
SDIR=$PWD/../src
DDIR=/work1/les
#

cp -f ../obs/KH.OBS $DDIR/OBS

cd $DDIR

time $SDIR/les << EOF

&les1
nrun  = 1
nstep = 10000
iout  = 0
jout  = 1000
lout  = 100
/
&les2
isfc = -1
icon = -1
jmin = 0
rlat = 99.0
dt   = 0.02
dx   = 0.2
dy   = 0.2
dz   = 0.2
ugsf = 0.0
tsf  = 0.0
gamt = 0.02
z0m  = 0.0
tfmx = 0.0
nflay= 10
frate= 0.05
nspl = 0
nspu = 0
csp  = 0.0
/
&les3
/
EOF
