c **********************************************************************
c *   Upper boundary condition                                         *
c *                                                                    *
c *   Contents:                                                        *
c *     1. bc_upp_moment (for momentum)                                *
c *     2. bc_upp_scalar (for scalar. Nearly the same as above)        *
c **********************************************************************
c
      subroutine  bc_upp_moment
c
      include  "Declare.h"
c
      do j = 1,ny
      do i = 1,nx
        u (  i ,nz+1,  j ) = u ( i,nz, j)
        v (  i ,nz+1,  j ) = v ( i,nz, j)
        w (  i ,nz+1,  j ) = 0.0
      end do
      end do
c
      return
      end
c
      subroutine  bc_upp_scalar ( tq, gamdz )
c
      include  "Declare.h"
c
      dimension  tq(mx,mz,my)
!hpf$ distribute (*,*,block) :: tq
c
      do j = 1,ny
      do i = 1,nx
        tq(  i ,nz+1,  j ) = tq( i,nz, j) +gamdz
      end do
      end do
c
      return
      end
