#!/bin/sh

INCR=1

DDIR=/work
N_IN="01.01"
IRST=1
IRED=1
ZTOP=10000
ZBTM=0
VIEW="TRUE"

while getopts d:n:r:R:z:Z:x OPT
do
  case $OPT in
    "d") DDIR=$OPTARG   ;;
    "n") N_IN=$OPTARG   ;;
    "r") IRST=$OPTARG   ;;
    "R") IRED=$OPTARG   ;;
    "z") ZTOP=$OPTARG   ;;
    "Z") ZBTM=$OPTARG   ;;
    "x") VIEW=""        ;;
     * ) exit 1         ;;
  esac
done

echo "Increment = $INCR"

F_OUT=test
SDIR=$PWD
GDIR=$DDIR/Movie

VDIR=/usr/local/vis5d-5.2

cd $DDIR

F_NAME1="u___"$N_IN; IVAL1=1
F_NAME2="v___"$N_IN; IVAL2=1
F_NAME3="w___"$N_IN; IVAL3=1
F_NAME4="t___"$N_IN; IVAL4=0
F_NAME5="q___"$N_IN; IVAL5=1
F_NAME6="ze__"$N_IN; IVAL6=0
F_NAME7="ql__"$N_IN; IVAL7=0
$SDIR/bin2v5d << EOF1
&v5d
f_name = $F_NAME1, $F_NAME2, $F_NAME3, $F_NAME4, $F_NAME5, $F_NAME6, $F_NAME7
irecst = $IRST
ireced = $IRED
inc    = $INCR
ival   = $IVAL1, $IVAL2, $IVAL3, $IVAL4, $IVAL5, $IVAL6, $IVAL7
ztop   = $ZTOP
zbtm   = $ZBTM
/
EOF1

mv test.v5d $GDIR

cd $GDIR

if [ -n "$VIEW" ]; then
  $VDIR/vis5d -path $VDIR test.v5d
fi
